Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

To update some of the basic details for an existing file request, all you need is its unique ID.
curl -i -X PUT "https://api.box.com/2.0/file_requests/42037322" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -d '{
       "title": "Please upload required documents",
       "description": "Please upload required documents",
       "status": "active",
       "is_email_required": true,
       "is_description_required": false
     }'
For more details on the different fields that can be updated when creating a template, please see the reference documentation for the API.
The ID of a file request can be determined by visiting the Box web app and inspecting the URL. Please on setting up a file request template to learn how to determine a file request ID.